package com.jkcredit.invoice.mapper.calculateInfor;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.Calculate.NoCarCalculateInfor;
import com.jkcredit.invoice.model.entity.Calculate.SelfCarCalculateInfor;
import com.jkcredit.invoice.model.vo.CompanyVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface SelfCarCalculateInforMapper extends BaseMapper<SelfCarCalculateInfor> {
    IPage<List<SelfCarCalculateInfor>> selectAllByPage(Page page, @Param("calculateInfor") SelfCarCalculateInfor calculateInfor);

    int insert(SelfCarCalculateInfor record);

    SelfCarCalculateInfor selectByEtcAndTime(SelfCarCalculateInfor selfCarCalculateInfor);

    List<Map<String,String>> findSelfcarCalculateInfoSta(SelfCarCalculateInfor selfCarCalculateInfor);

    int upDateCompany(CompanyVo companyVo);
}
