package com.jkcredit.invoice.service.lowerService.vo;

/**
 * 历史账单查询接口
 */
public class MonthAccountQueryVo {
    //客户名称
    private String customeName;
    //企业名称
    private String companyName;
    //企业税号
    private String taxCode;
    //交易匹配月份
    private String tradeMonth;

    //交易来源
    private int waybillSource =1;

    //页码
    private int pageNo;

    public String getCustomeName() {
        return customeName;
    }

    public void setCustomeName(String customeName) {
        this.customeName = customeName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getTaxCode() {
        return taxCode;
    }

    public void setTaxCode(String taxCode) {
        this.taxCode = taxCode;
    }

    public String getTradeMonth() {
        return tradeMonth;
    }

    public void setTradeMonth(String tradeMonth) {
        this.tradeMonth = tradeMonth;
    }

    public int getWaybillSource() {
        return waybillSource;
    }

    public void setWaybillSource(int waybillSource) {
        this.waybillSource = waybillSource;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    @Override
    public String toString() {
        return "MonthAccountQueryVo{" +
                "customeName='" + customeName + '\'' +
                ", comPanyName='" + companyName + '\'' +
                ", taxCode='" + taxCode + '\'' +
                ", tradeMonth='" + tradeMonth + '\'' +
                ", waybillSource=" + waybillSource +
                ", pageNo=" + pageNo +
                '}';
    }
}
